@openwop/openwop-conformance 2.46.30 → 2.46.31

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/CHANGELOG.md CHANGED
@@ -1,3 +1,7 @@
1
+ ## [2.46.31] — 2026-10-26 — RFC 0251 Accepted
2
+
3
+ - **No assertion changes.** RFC 0251's G2 closes on openwop-app's certified cut `24b6a05ff` (the five `0251.*` legs and both `0244.regression-*` legs `executed-pass`), so the packed `spec/v1/gaps.json` changes.
4
+
1
5
  ## [2.46.30] — 2026-10-26 — RFC 0252 Draft (no assertion changes)
2
6
 
3
7
  - **No scenario or assertion changes.** RFC 0252 (`Draft`) adds its gap register and RFC 0244's G5 row moves to it, so the packed `spec/v1/gaps.json` changes.
@@ -1,5 +1,5 @@
1
1
  {
2
2
  "package": "@openwop/spec-artifacts",
3
- "version": "2.46.30",
4
- "stampSha256": "ab7c7f2bc8efddb11e0c565b046f69538a7ab3145416ee4227e8d96265b7d9b9"
3
+ "version": "2.46.31",
4
+ "stampSha256": "7109493674dd33a0131a5d04752f3e00bf9a9421f19433bdf2961050844109fe"
5
5
  }
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@openwop/openwop-conformance",
3
- "version": "2.46.30",
3
+ "version": "2.46.31",
4
4
  "description": "Black-box conformance suite for OpenWOP hosts (v2 current; v1 scenarios retained for the frozen v1 tree).",
5
5
  "repository": {
6
6
  "type": "git",
@@ -56,6 +56,6 @@
56
56
  "@openwop/spec-artifacts": "file:../spec-artifacts"
57
57
  },
58
58
  "peerDependencies": {
59
- "@openwop/spec-artifacts": "2.46.30"
59
+ "@openwop/spec-artifacts": "2.46.31"
60
60
  }
61
61
  }
@@ -1,17 +1,17 @@
1
1
  {
2
2
  "_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
3
3
  "package": "@openwop/spec-artifacts",
4
- "version": "2.46.30",
5
- "corpusTag": "v2.46.30",
4
+ "version": "2.46.31",
5
+ "corpusTag": "v2.46.31",
6
6
  "files": {
7
7
  "api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
8
8
  "api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
9
9
  "api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
10
10
  "api/openapi.yaml": "ac6de5303872664b78ff419c035915593e01599e02835e777a0123de1baeb398",
11
11
  "api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
12
- "api/seams-v2.yaml": "08c68b844a0298d1f7232e5956713ed5235414eca608782f8c9cc607cee06f32",
13
- "api/v2/asyncapi.yaml": "edfda007ec4a3ef1ceafa8125c87d02dbf77367e4816f0b41455c9827ae3f8fe",
14
- "api/v2/openapi.yaml": "2e8450ca565d0fe75c27dae848122891ba80e5fa40f0876796c51979572efd44",
12
+ "api/seams-v2.yaml": "5e98556ad8a368cef4d04858709cbb11ddba02f9e3e1d236aba44edfebff525b",
13
+ "api/v2/asyncapi.yaml": "bf3f5ba04136ac72da9ea05b6565c6a23aa30dede03c656fd4ac77052ea7e772",
14
+ "api/v2/openapi.yaml": "31126c6e73c8c0c0fc1c902a6614ab2eae4133b1326d51ddfefcfb4ee001b68d",
15
15
  "api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
16
16
  "schemas/README.md": "276fc1d51eb08e14e9127b9fd27761d7046ee33c12000f3a64a801322db8bf58",
17
17
  "schemas/a2a-task-state.schema.json": "75d5049dea8bd873ff0e7546f1c60c8d36c219bec7084264360be54a8be30ae1",
@@ -212,14 +212,14 @@
212
212
  "schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
213
213
  "spec/v1/alias-detectors.json": "22444c22bb88c568339ef512553f9fc38146e22b566d11ab8608f655d688d19c",
214
214
  "spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
215
- "spec/v1/core-standard-manifest.json": "e341bdbad39a25a8c04f535b1dc44d581b5473069c5ebbe786f5f8031f61a679",
215
+ "spec/v1/core-standard-manifest.json": "854d63e31b5306e69ecf1c8f8d141f36cc641af8c89eb3dafccb6f3cab27ab08",
216
216
  "spec/v1/deprecations.json": "e723bc11d7272c71789ad1303bb7f21809a8a024abf57594f9d5c35dc199ece9",
217
217
  "spec/v1/deprecations.schema.json": "3e393c405d2a41b467d8c5e3c468549078df1ce6a6d2588fc488097b95d9b55b",
218
218
  "spec/v1/end-of-support.json": "35f0bf3b70fe78b16e2a2fd81a153fc27e703f6c16376c6fe7cdf1f4f2c4e6d4",
219
219
  "spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
220
220
  "spec/v1/event-codemap.schema.json": "d05933b2e88103aff51a2f774df97b9bda065e0fc88dbd9b114cc47a32189174",
221
221
  "spec/v1/extensions.json": "79a60754aa16cbdbdb604f8e5c00038af535a1690a4d07bd5ff7c38f0256a7bc",
222
- "spec/v1/gaps.json": "16ab681ea051c41104d53161bcf179704f80659861f7dd3ba8bdbfe3015f71b8",
222
+ "spec/v1/gaps.json": "c9d44793fde8558d0617f6f7b323a540be28b6a579f4f94ae19c555789b76775",
223
223
  "spec/v1/gaps.schema.json": "8fd83259f556553c9df0f53e7a82ca8c2a4771d471197f69b4e2ae0ceeacfd66",
224
224
  "spec/v1/migrations.json": "4c50760be70cb644d02427bcaf5749606700edf4513f423903cf3b1d12f5c300",
225
225
  "spec/v1/migrations.schema.json": "886779aa6c22e646db097f5df210adb018a4dd14a7b815465a18c8a7056c8f72",
@@ -318,9 +318,9 @@
318
318
  "spec/v2/path-manifest.json": "20f598f56df460ad3ed50aba3d6bc2933ea16a3c96ce125da1c5dd6989d4155c",
319
319
  "spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
320
320
  "spec/v2/profiles.json": "b382b261c7844798575f7c1b37c934f0da19846016a2337d883d4f5ef6e05479",
321
- "spec/v2/release.json": "5bb12627a01a0f732dc8ab1f6c7f8d23ed4f583782b83591a1d72803be9592bc",
321
+ "spec/v2/release.json": "8430f284289872c5854b2390bd0c8c3d67db57d85d57dbd372415552cfff355a",
322
322
  "spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624",
323
- "spec/v2/surface-baseline.json": "da513617337bdcf1073907d88662f3c853110bb0107e789ea3cfd245e86a0933"
323
+ "spec/v2/surface-baseline.json": "3b0c3077fe722f7ca237e44d2c7a70986b7f706d32e7984dac36993b830d2d03"
324
324
  },
325
- "corpusCommit": "2c254f70680834a1ed087ba9369dcdbfd1c0a40d"
325
+ "corpusCommit": "1a3824c440c872987714f5837697aaf820506c5d"
326
326
  }